<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:optim="http://www.ibm.com/optim/audit/v11.3.0.0"
	xmlns:optimreport="http://www.ibm.com/optim/report/v11.3.0.0"
	xmlns:optimcommon="http://www.ibm.com/optim/common/v11.3.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

	<xsl:import href="CommonTemplates.xsl"/>
	<xsl:output method="html" indent="yes" version="4.0"
		doctype-public="-//W3C//DTD HTML 4.01//EN" doctype-system="http://www.w3.org/TR/html4/strict.dtd" />
	
	<!-- Not functioning at the moment.  -->
	<!-- BEGIN Join Control Section -->
	<xsl:template match="optimreport:joinControl">
		<!--Set up anchor-->
		<xsl:call-template name="anchorSetup">
			<xsl:with-param name="name">joins</xsl:with-param>
		</xsl:call-template>
		
		<!-- Process Details Title Bar -->
		<xsl:call-template name="titleBar">
			<xsl:with-param name="name">Joined Tables</xsl:with-param>
			<xsl:with-param name="containerId">joins_container</xsl:with-param>
			<xsl:with-param name="containerClass">joins_container_class</xsl:with-param>
			<xsl:with-param name="anchor">joins</xsl:with-param>
			<xsl:with-param name="closeByDefault">true</xsl:with-param>
			<xsl:with-param name="isInnerReport">false</xsl:with-param>
		</xsl:call-template>
		
		<div id="joins_container" class="section_container joins_container_class" style="display:none;" inAllAction="true">
			<table>
				<tr isTitle="yes">
					<td>
						<center>
							<b>
								<xsl:text>Source Table</xsl:text>
							</b>
						</center>
					</td>
					<td>
						<center>
							<b>
								<xsl:text>Joined Table</xsl:text>
							</b>
						</center>
					</td>
				</tr>
				<xsl:for-each select="optimreport:sourceTable">
					<xsl:variable name="id" select="generate-id(.)"/>
						<tr swaparrow="true">
							<xsl:choose>
								<xsl:when test="count(optimreport:joinedTables/optimreport:joinedTable/@name) &gt; 1">
									<td class="category_title drop_down_hover" onClick="toggleRows('{$id}', event); SwapByClass('blockArrow', '{$id}', event)">
										<xsl:call-template name="arrow">
											<xsl:with-param name="id">arrow</xsl:with-param>
											<xsl:with-param name="isExpand">false</xsl:with-param>
										</xsl:call-template>
										<xsl:text>&#160;&#160;&#160;</xsl:text>
										<xsl:call-template name="stringCheck">
											<xsl:with-param name="value" select="@name"/>
										</xsl:call-template>
									</td>
								</xsl:when>
								<xsl:otherwise>
									<td>
										<xsl:call-template name="stringCheck">
											<xsl:with-param name="value" select="@name"/>
										</xsl:call-template>
									</td>
								</xsl:otherwise>
							</xsl:choose>
							<td>
								<xsl:call-template name="stringCheck">
									<xsl:with-param name="value" select="optimreport:joinedTables/optimreport:joinedTable/@name"/>
								</xsl:call-template>
							</td>
						</tr>
						<xsl:for-each select="optimreport:joinedTables/optimreport:joinedTable[position() &gt; 1]">
							<tr class="{$id}" style="display:none" inallaction="true">
								<th></th>
								<td>
									<xsl:value-of select="@name"/>
								</td>
							</tr>
						</xsl:for-each>	
				</xsl:for-each>
			</table>
		</div>
	</xsl:template>
	<!-- END Join Control Section -->		
				
</xsl:stylesheet>

